import { TwitterOpenApi } from '@/api';
import * as log4js from 'log4js';

const authToken = 'ede342a1204c000f4709b031d3a43cf15ce20a79'
const CsrfToken = '59a0f47a02729ed3a002838dfcf3a13ea15cd6dfa99c602e761cad1f25594d165f2226a513d9d956e6011e3fdddf5da76ebc4b59fdccc0349207dfa860672ef52b37230520791cc3a93c647451c0d8ae'

export const logger = log4js
  .configure({
    appenders: {
      system: {
        type: 'file',
        filename: 'logs/test.log',
        layout: {
          type: 'pattern',
          pattern: '[%d{hh:mm:ss}] [%p] %m',
        },
      },
    },
    categories: {
      default: { appenders: ['system'], level: 'all' },
    },
  })
  .getLogger('Test');

export type Cookie = {
  name: string;
  domain: string;
  value: string;
};

export const getClient = async () => {
  const api = new TwitterOpenApi();
  const client = await api.getClientFromCookies({
    ct0: CsrfToken,
    auth_token: authToken,
  });
  return client;
};
export const getGuestClient = async () => {
  const api = new TwitterOpenApi();
  const client = await api.getGuestClient();
  return client;
};
